\section{Ringed Spaces}
\begin{defn}
  A \emph{ringed space} is a topological space $X$ together with a sheaf of rings $\ox$.
  A \emph{morphism of ringed spaces} is a pair $(f,f^{\#})$ where $f\mc X\to Y$ is a continous map and $f^{\#}\mc \oy\to f_{\ast}\ox$ is a morphism of sheaves of rings on $Y$.
\end{defn}
\begin{rem}
  If $f\mc X\to Y$ is a continous map and $\shr$ a sheaf of rings on $X$ then $f_{\ast}\shr$ is a sheaf of rings on $Y$.
\end{rem}
\begin{defn}
  A \emph{locally ringed space} is a ringed space $(X,\ox)$ such that all stalks $\oxx$ are local rings. A \emph{morphism of locally ringed spaces} is a morphism $(f,f^\#)$ of ringed spaces
\end{defn}
\begin{example}
  Let $A$ be a ring, $X = \spec A$ and $\ox$ the structure sheaf on $X$. Then $(X,\ox)$ is a ringed space and even a locally ringed space, as $\oxx\cong A_\idp$, for $x=\idp$. Such a locally ringed space is called an \emph{affine scheme}.
\end{example}
\begin{rem}
  \leavevmode
  \begin{enumerate}
    \item Ringed spaces form an obvious category. The subcategory consisting of locally ringed spaces and morphisms of locally ringed spaces is indeed a subcategory, as the composition of morphisms of locally ringed spaces is again a morphism of locally ringed spaces.
    \item Giving an isomorphism of locally ringed spaces amounts to giving a homeomorphism $f\mc X\xrightarrow{\sim}Y$ and an isomorphism $f^{\#}\mc \oy\to f_{\ast}\ox$.
  \end{enumerate}
\end{rem}

\begin{prop}
  Let $A$ and $B$ be rings. Then there is a natural bijection:
  \[
  \begin{tikzcd}
  \lset \text{ring homeomorphism }A\to B\rset
  \ar[leftrightarrow]{d}[left]{\cong}
  \\
  \lset
  \text{morphisms of locally ringed spaces }
  \left(\spec B, \oo_{\spec B}\right)\to
  \left(\spec A, \oo_{\spec A}\right)
  \rset,
  \end{tikzcd}
  \]
  which ammounts to saying that there is an equivalence of categories
  \[\op{\cring}\cong \affsch\].
\end{prop}
